Rivet::MC_JetSplittings Class Reference

Base class providing common functionality for MC jet validation analyses. More...

`#include <MC_JetSplittings.hh>`

Inheritance diagram for Rivet::MC_JetSplittings:

## Public Member Functions

| MC_JetSplittings (const string &name, size_t njet, const string &jetpro_name)
| Default constructor.
Analysis methods
virtual void | init ()
virtual void | analyze (const Event &event)
virtual void | finalize ()
Public Member Functions inherited from Rivet::Analysis
AnalysisHandler & | handler () const
| Access the controlling AnalysisHandler object.
void | normalize (AIDA::IHistogram1D *&histo, double norm=1.0, bool includeoverflows=true)
void | scale (AIDA::IHistogram1D *&histo, double scale)
void | normalize (AIDA::IHistogram2D *&histo, double norm=1.0)
void | scale (AIDA::IHistogram2D *&histo, double scale)
Analysis & | setCrossSection (double xs)
| Set the cross section from the generator.
| Analysis (const std::string &name)
| Constructor.
virtual | ~Analysis ()
| The destructor.
const AnalysisInfo & | info () const
| Get the actual AnalysisInfo object in which all this metadata is stored.
virtual std::string | name () const
| Get the name of the analysis. More...
virtual std::string | inspireId () const
| Get the Inspire ID code for this analysis.
virtual std::string | spiresId () const
| Get the SPIRES ID code for this analysis (~deprecated).
virtual std::vector< std::string > | authors () const
| Names & emails of paper/analysis authors. More...
virtual std::string | summary () const
| Get a short description of the analysis. More...
virtual std::string | description () const
| Get a full description of the analysis. More...
virtual std::string | runInfo () const
| Information about the events needed as input for this analysis. More...
virtual std::string | experiment () const
| Experiment which performed and published this analysis.
virtual std::string | collider () const
| Collider on which the experiment ran.
virtual std::string | year () const
| When the original experimental analysis was published.
virtual std::vector< std::string > | references () const
| Journal, and preprint references.
virtual std::string | bibKey () const
| BibTeX citation key for this article.
virtual std::string | bibTeX () const
| BibTeX citation entry for this article.
virtual std::string | status () const
| Whether this analysis is trusted (in any way!)
virtual std::vector< std::string > | todos () const
| Any work to be done on this analysis.
virtual const std::vector< PdgIdPair > & | requiredBeams () const
| Return the allowed pairs of incoming beams required by this analysis.
virtual Analysis & | setRequiredBeams (const std::vector< PdgIdPair > &requiredBeams)
| Declare the allowed pairs of incoming beams required by this analysis.
virtual const std::vector< std::pair< double, double > > & | requiredEnergies () const
| Sets of valid beam energy pairs, in GeV.
virtual Analysis & | setRequiredEnergies (const std::vector< std::pair< double, double > > &requiredEnergies)
| Declare the list of valid beam energy pairs, in GeV.
bool | needsCrossSection () const
| Return true if this analysis needs to know the process cross-section.
Analysis & | setNeedsCrossSection (bool needed=true)
| Declare whether this analysis needs to know the process cross-section from the generator.
AnalysisInfo & | info ()
| Get the actual AnalysisInfo object in which all this metadata is stored (non-const).
virtual Analysis & | setBeams (PdgId beam1, PdgId beam2)
const ParticlePair & | beams () const
| Incoming beams for this run.
const PdgIdPair | beamIds () const
| Incoming beam IDs for this run.
double | sqrtS () const
| Centre of mass energy for this run.
bool | isCompatible (const ParticlePair &beams) const
| Check if analysis is compatible with the provided beam particle IDs and energies.
bool | isCompatible (PdgId beam1, PdgId beam2, double e1, double e2) const
| Check if analysis is compatible with the provided beam particle IDs and energies.
bool | isCompatible (const PdgIdPair &beams, const std::pair< double, double > &energies) const
| Check if analysis is compatible with the provided beam particle IDs and energies.
Public Member Functions inherited from Rivet::ProjectionApplier
| ProjectionApplier ()
| Constructor.
std::set< ConstProjectionPtr > | getProjections () const
| Get the contained projections, including recursion.
template<typename PROJ >
const PROJ & | getProjection (const std::string &name) const
| Get the named projection, specifying return type via a template argument.
const Projection & | getProjection (const std::string &name) const
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const PROJ &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const Projection &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const std::string &name) const
| Apply the named projection on event.

## Protected Attributes

size_t | m_njet
| The number of jets for which histograms are to be initialised.
const std::string | m_jetpro_name

## Additional Inherited Members

Protected Member Functions inherited from Rivet::Analysis
Log & | getLog () const
| Get a Log object based on the name() property of the calling analysis object.
double | crossSection () const
| Get the process cross-section in pb. Throws if this hasn't been set.
double | crossSectionPerEvent () const
size_t | numEvents () const
double | sumOfWeights () const
AIDA::IAnalysisFactory & | analysisFactory ()
| Access the AIDA analysis factory of the controlling AnalysisHandler object.
AIDA::ITree & | tree ()
| Access the AIDA tree of the controlling AnalysisHandler object.
AIDA::IHistogramFactory & | histogramFactory ()
| Access the AIDA histogram factory of the controlling AnalysisHandler object.
AIDA::IDataPointSetFactory & | datapointsetFactory ()
| Access the AIDA histogram factory of the controlling AnalysisHandler object.
const std::string | histoDir () const
| Get the canonical histogram "directory" path for this analysis. More...
const std::string | histoPath (const std::string &hname) const
| Get the canonical histogram path for the named histogram in this analysis.
const std::string | histoPath (size_t datasetId, size_t xAxisId, size_t yAxisId) const
| Get the canonical histogram path for the numbered histogram in this analysis.
const std::string | makeAxisCode (size_t datasetId, size_t xAxisId, size_t yAxisId) const
| Get the internal histogram name for given d, x and y (cf. HepData)
const BinEdges & | binEdges (const std::string &hname) const
| Get bin edges for a named histo (using ref AIDA caching)
const BinEdges & | binEdges (size_t datasetId, size_t xAxisId, size_t yAxisId) const
| Get bin edges for a numbered histo (using ref AIDA caching)
BinEdges | logBinEdges (size_t nbins, double lower, double upper)
| Get bin edges with logarithmic widths. More...
AIDA::IHistogram1D * | bookHistogram1D (const std::string &name, size_t nbins, double lower, double upper, const std::string &title="", const std::string &xtitle="", const std::string &ytitle="")
AIDA::IHistogram1D * | bookHistogram1D (const std::string &name, const std::vector< double > &binedges, const std::string &title="", const std::string &xtitle="", const std::string &ytitle="")
AIDA::IHistogram2D * | bookHistogram2D (const std::string &name, size_t nxbins, double xlower, double xupper, size_t nybins, double ylower, double yupper, const std::string &title="", const std::string &xtitle="", const std::string &ytitle="", const std::string &ztitle="")
AIDA::IHistogram2D * | bookHistogram2D (const std::string &name, const std::vector< double > &xbinedges, const std::vector< double > &ybinedges, const std::string &title="", const std::string &xtitle="", const std::string &ytitle="", const std::string &ztitle="")
AIDA::IHistogram1D * | bookHistogram1D (const std::string &name, const std::string &title="", const std::string &xtitle="", const std::string &ytitle="")
AIDA::IHistogram1D * | bookHistogram1D (size_t datasetId, size_t xAxisId, size_t yAxisId, const std::string &title="", const std::string &xtitle="", const std::string &ytitle="")
AIDA::IProfile1D * | bookProfile1D (const std::string &name, size_t nbins, double lower, double upper, const std::string &title="", const std::string &xtitle="", const std::string &ytitle="")
AIDA::IProfile1D * | bookProfile1D (const std::string &name, const std::vector< double > &binedges, const std::string &title="", const std::string &xtitle="", const std::string &ytitle="")
AIDA::IProfile1D * | bookProfile1D (const std::string &name, const std::string &title="", const std::string &xtitle="", const std::string &ytitle="")
AIDA::IProfile1D * | bookProfile1D (size_t datasetId, size_t xAxisId, size_t yAxisId, const std::string &title="", const std::string &xtitle="", const std::string &ytitle="")
AIDA::IDataPointSet * | bookDataPointSet (const std::string &name, const std::string &title="", const std::string &xtitle="", const std::string &ytitle="")
AIDA::IDataPointSet * | bookDataPointSet (const std::string &name, size_t npts, double lower, double upper, const std::string &title="", const std::string &xtitle="", const std::string &ytitle="")
AIDA::IDataPointSet * | bookDataPointSet (size_t datasetId, size_t xAxisId, size_t yAxisId, const std::string &title="", const std::string &xtitle="", const std::string &ytitle="")
Protected Member Functions inherited from Rivet::ProjectionApplier
Log & | getLog () const
ProjectionHandler & | getProjHandler () const
| Get a reference to the ProjectionHandler for this thread.
template<typename PROJ >
const PROJ & | addProjection (const PROJ &proj, const std::string &name)

## Detailed Description

Base class providing common functionality for MC jet validation analyses.

## Member Function Documentation

void Rivet::MC_JetSplittings::analyze | ( | const Event & | event | ) |

virtual

Analyze one event. A concrete class should here apply the necessary projections on the event and fill the relevant histograms. An overridden function must make sure it first calls the base class function.

Implements Rivet::Analysis.

References Rivet::FastJets::clusterSeq(), m_jetpro_name, m_njet, and Rivet::Event::weight().

void Rivet::MC_JetSplittings::finalize | ( |  | ) |

virtual

Finalize this analysis object. A concrete class should here make all necessary operations on the histograms. Writing the histograms to a file is, however, done by the Rivet class. An overridden function must make sure it first calls the base class function.

Reimplemented from Rivet::Analysis.

References Rivet::Analysis::crossSection(), m_njet, Rivet::Analysis::scale(), and Rivet::Analysis::sumOfWeights().

void Rivet::MC_JetSplittings::init | ( |  | ) |

virtual

Initialize this analysis object. A concrete class should here book all necessary histograms. An overridden function must make sure it first calls the base class function.

Reimplemented from Rivet::Analysis.

References Rivet::Analysis::bookDataPointSet(), Rivet::Analysis::bookHistogram1D(), m_njet, and Rivet::Analysis::sqrtS().

## Member Data Documentation

const std::string Rivet::MC_JetSplittings::m_jetpro_name

protected

The name of the jet projection to be used for this analysis (this projection has to be registered by the derived analysis!)

Referenced by analyze().

The documentation for this class was generated from the following files:

- include/Rivet/Analyses/MC_JetSplittings.hh
- src/Analyses/MC_JetSplittings.cc